Bug 1162205 - Hex Chat icon in gnome Message Tray is unclickable
Summary: Hex Chat icon in gnome Message Tray is unclickable
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1162902 1177977 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-10 14:07 UTC by Tomas Mlcoch
Modified: 2015-12-02 16:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 04:53:16 UTC
Type: Bug


Attachments (Terms of Use)
The unclickable Hex Chat icon screen shots (38.98 KB, image/jpeg)
2014-11-10 14:07 UTC, Tomas Mlcoch
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 733472 None None None Never

Description Tomas Mlcoch 2014-11-10 14:07:14 UTC
Created attachment 955825 [details]
The unclickable Hex Chat icon screen shots

Description of problem:

When I show the Message Tray by 'Super'+'m', the Hex Chat icon there is not clickable, it also doesn't show focus properly, when the cursor is over the icon. I have to move the cursor away from the icon, to get it "focused" and be able to show the Hex Chat by a click. If I click on the icon directly, the Message Tray disappears.

It is 100% reproducible every time I hit the 'Super'+'m' to show the Message Tray.

See the attached picture that shows what is happening.

It is not reproducible if I access the Message Try from the screen that appears when I hit the "Activities" in the upper-left corner and move the mouse cursor to the very bottom of the screen.

I use only "Window list" and "Notifications alert" Extensions. But this bug is also reproducible, when I disable both these extensions.


Version-Release number of selected component (if applicable):

gnome-shell-3.14.1.5-1.fc21.x86_64
gnome-shell-extension-common-3.14.1-1.fc21.noarch
gnome-shell-extension-window-list-3.14.1-1.fc21.noarch

Comment 1 Florian Müllner 2014-11-13 13:15:56 UTC
*** Bug 1162902 has been marked as a duplicate of this bug. ***

Comment 2 Medic Momcilo 2014-12-19 01:35:34 UTC
There is a patch upstream available.

I tested it and it does indeed fix the error.

https://git.gnome.org/browse/mutter/commit/?id=c408cf7aacf152e672dd2741d4aa6658250a255d

Comment 3 Fedora Update System 2014-12-19 17:55:20 UTC
mutter-3.14.3-1.fc21,gnome-shell-3.14.3-1.fc21,gnome-shell-extensions-3.14.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mutter-3.14.3-1.fc21,gnome-shell-3.14.3-1.fc21,gnome-shell-extensions-3.14.3-1.fc21

Comment 4 Fedora Update System 2014-12-31 19:02:26 UTC
mutter-3.14.3-1.fc21, gnome-shell-3.14.3-1.fc21, gnome-shell-extensions-3.14.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Florian Müllner 2015-01-13 15:39:03 UTC
*** Bug 1177977 has been marked as a duplicate of this bug. ***

Comment 6 Fedora End Of Life 2015-11-04 15:57:12 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-12-02 04:53:20 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.